summaryrefslogtreecommitdiffstats
path: root/network/cgterm
diff options
context:
space:
mode:
author Marcel Saegebarth <tsa@gmx.li>2010-04-24 16:39:29 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-15 10:50:14 +0200
commit101567e1e41a89fb696e354bdb2e46350bf9e741 (patch)
tree8dd2ff311391da2362d7af4d857c4c2814aa3114 /network/cgterm
parent57a9b8cbcfbfd9e6ccf50c3b336ec88b1bff6001 (diff)
downloadslackbuilds-101567e1e41a89fb696e354bdb2e46350bf9e741.tar.gz
slackbuilds-101567e1e41a89fb696e354bdb2e46350bf9e741.tar.xz
network/cgterm: Added (C/G telnet & 64CHAT client)
Diffstat (limited to 'network/cgterm')
-rw-r--r--network/cgterm/README3
-rwxr-xr-xnetwork/cgterm/cgterm.SlackBuild84
-rw-r--r--network/cgterm/cgterm.info10
-rw-r--r--network/cgterm/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/network/cgterm/README b/network/cgterm/README
new file mode 100644
index 0000000000..24d367ba0b
--- /dev/null
+++ b/network/cgterm/README
@@ -0,0 +1,3 @@
+CGTerm is a C/G telnet client that lets you connect to C64 telnet
+BBS:s with the correct colours and the correct font.
+Also included is a client for 64CHAT called CGChat.
diff --git a/network/cgterm/cgterm.SlackBuild b/network/cgterm/cgterm.SlackBuild
new file mode 100755
index 0000000000..3c2eeed5ae
--- /dev/null
+++ b/network/cgterm/cgterm.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# SlackBuild script for "CGTerm".
+# Copyright 2010 Marcel Saegebarth <tsa@gmx.li>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cgterm
+VERSION=1.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+rm -rf $TMP/$PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Makefile doesn't create parents and installdirs aren't useable also
+mkdir -p $PKG/usr/bin $PKG/usr/share/cgterm
+
+sed -i 's/^CFLAGS=-O3/CFLAGS+=/' Makefile
+sed -i 's/^install: all installdirs/install: all/' Makefile
+CFLAGS="$SLKCFLAGS" make PREFIX=/usr
+make install PREFIX=$PKG/usr
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Link "us.kbd" to "keyboard.kbd", else the application will create a config file
+# with standard layout "us.kbd", but immediately crashes after first run.
+ln -s /usr/share/cgterm/us.kbd $PKG/usr/share/cgterm/keyboard.kbd
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a cgchat.txt cgterm.txt history.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/cgterm/cgterm.info b/network/cgterm/cgterm.info
new file mode 100644
index 0000000000..a9a7851c72
--- /dev/null
+++ b/network/cgterm/cgterm.info
@@ -0,0 +1,10 @@
+PRGNAM="cgterm"
+VERSION="1.6"
+HOMEPAGE="http://www.paradroid.net/cgterm/"
+DOWNLOAD="http://www.paradroid.net/cgterm/cgterm-1.6.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="5b8f81ea8a2c0612d2998f05fd87ec40"
+MD5SUM_x86_64=""
+MAINTAINER="Marcel Saegebarth"
+EMAIL="tsa@gmx.li"
+APPROVED="dsomero"
diff --git a/network/cgterm/slack-desc b/network/cgterm/slack-desc
new file mode 100644
index 0000000000..a1f4ba6428
--- /dev/null
+++ b/network/cgterm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cgterm: CGTerm (C/G telnet & 64CHAT client)
+cgterm:
+cgterm: CGTerm is a C/G telnet client that lets you connect to C64 telnet
+cgterm: BBS:s with the correct colours and the correct font.
+cgterm: Also included is a client for 64CHAT called CGChat.
+cgterm:
+cgterm:
+cgterm:
+cgterm:
+cgterm:
+cgterm: